Subject: Re: 答复: [PATCH] arm64: mm: free unused memmap for sparse memory model that define VMEMMAP

From: Mike Rapoport <[email-masked]>
Date: Tue, 21 Jul 2020 09:35:24 +0300

Hi,

On Tue, Jul 21, 2020 at 01:56:33AM +0000, liwei (CM) wrote:
> Hi, all
> 
> I'm sorry to bother you, but still very hope you can give comments or suggestions to this patch, thank you very much.
 
I cannot find your patch neither in Inbox nor in the public archives.
Can you resend it please?

> -----邮件原件-----
> 发件人: Song Bao Hua (Barry Song) 
> 发送时间: 2020年7月9日 20:27
> 收件人: liwei (CM) <[email-masked]>; [email-masked]; [email-masked]
> 抄送: fengbaopeng <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; sujunfei <[email-masked]>; Xiaqing (A) <[email-masked]>; Yaobaofeng (Yaobaofeng) <[email-masked]>
> 主题: RE: [PATCH] arm64: mm: free unused memmap for sparse memory model that define VMEMMAP
> 
> 
> 
> > -----Original Message-----
> > From: liwei (CM)
> > Sent: Wednesday, July 8, 2020 7:52 PM
> > To: Song Bao Hua (Barry Song) <[email-masked]>; 
> > [email-masked]; [email-masked]
> > Cc: fengbaopeng <[email-masked]>; [email-masked]; 
> > [email-masked]; [email-masked]; 
> > [email-masked]; [email-masked]; 
> > sujunfei <[email-masked]>; Xiaqing (A) 
> > <[email-masked]>; Yaobaofeng (Yaobaofeng) 
> > <[email-masked]>
> > Subject: 答复: [PATCH] arm64: mm: free unused memmap for sparse memory 
> > model that define VMEMMAP
> > 
> > Hi, baohua
> > 
> > Thank you for your attention.
> > 
> > In my understanding of the MEMORY_HOTPLUG this patch has no effect on it.
> > The reason is that in sparse_add_one_section() the memory that memmap 
> > needs from Slab if kernel start completed，this memory has nothing to 
> > do with memblock alloc/ free memory in the process of kernel start.
> > 
> > You may have a look vmemmap_alloc_block () this function.
> > 
> > If I don't understand right welcome pointed out in a timely manner.
> 
> At the first glance of this patch, I suspect that this bootmem may be used by hot-added memory.
> If you confirm this won't happen, please ignore my noise.
> 
> BTW, next time, bear in mind that top-post is not a good way to reply mail :-)
> 
> > 
> > Thanks!
> > 
> > 
> > -----邮件原件-----
> > 发件人: Song Bao Hua (Barry Song)
> > 发送时间: 2020年7月8日 15:19
> > 收件人: liwei (CM) <[email-masked]>; [email-masked]; 
> > [email-masked]
> > 抄送: fengbaopeng <[email-masked]>; [email-masked]; 
> > [email-masked]; [email-masked]; 
> > [email-masked]; [email-masked]; 
> > sujunfei <[email-masked]>
> > 主题: RE: [PATCH] arm64: mm: free unused memmap for sparse memory model 
> > that define VMEMMAP
> > 
> > 
> > 
> > > -----Original Message-----
> > > From: liwei (CM)
> > > Sent: Wednesday, July 8, 2020 1:56 PM
> > > To: [email-masked]; [email-masked]
> > > Cc: liwei (CM) <[email-masked]>; fengbaopeng 
> > > <[email-masked]>; [email-masked]; 
> > > [email-masked]; [email-masked]; Song Bao Hua (Barry Song) 
> > > <[email-masked]>; [email-masked];
> > > [email-masked]; sujunfei <[email-masked]>
> > > Subject: [PATCH] arm64: mm: free unused memmap for sparse memory
> > model
> > > that define VMEMMAP
> > >
> > > For the memory hole, sparse memory model that define
> > SPARSEMEM_VMEMMAP
> > > do not free the reserved memory for the page map, this patch do it.
> > 
> > Hello Wei,
> > Just curious if this patch breaks MEMORY_HOTPLUG?
> > 
> > >
> > > Signed-off-by: Wei Li <[email-masked]>
> > > Signed-off-by: Chen Feng <[email-masked]>
> > > Signed-off-by: Xia Qing <[email-masked]>
> > > ---
> > >  arch/arm64/mm/init.c | 81
> > > +++++++++++++++++++++++++++++++++++++++++++++-------
> > >  1 file changed, 71 insertions(+), 10 deletions(-)
> > >
> > > diff --git a/arch/arm64/mm/init.c b/arch/arm64/mm/init.c index 
> > > 1e93cfc7c47a..d1b56b47d5ba 100644
> > > --- a/arch/arm64/mm/init.c
> > > +++ b/arch/arm64/mm/init.c
> > > @@ -441,7 +441,48 @@ void __init bootmem_init(void)
> > >  	memblock_dump_all();
> > >  }
> > >
> > 
> > Thanks
> > Barry
> 

-- 
Sincerely yours,
Mike.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel